கணக்கு கட்டணங்கள்

GET https://tistos.com/api/payments/
curl --request GET \
--url 'https://tistos.com/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
அளவுருக்கள் விவரங்கள் விளக்கம்
processor விருப்பமான கோப்பு அனுமதிக்கப்பட்ட மதிப்புகள்: paypal, stripe, offline_payment, payu, iyzico, paystack, razorpay, mollie, onepay, yookassa, crypto_com, paddle, paddle_billing, mercadopago, midtrans, flutterwave, lemonsqueezy, myfatoorah, klarna, plisio, revolut
status விருப்பமான கோப்பு அனுமதிக்கப்பட்ட மதிப்புகள்: paid, pending, cancelled, refunded
type விருப்பமான கோப்பு அனுமதிக்கப்பட்ட மதிப்புகள்: one_time, recurring
frequency விருப்பமான கோப்பு அனுமதிக்கப்பட்ட மதிப்புகள்: monthly, quarterly, biannual, annual, lifetime
datetime_field விருப்பமான கோப்பு அனுமதிக்கப்பட்ட மதிப்புகள்: datetime
datetime_start விருப்பமான கோப்பு இந்த தேதி மற்றும் நேரத்திலிருந்து முடிவுகளை வடிகட்டவும். வடிவம் Y-m-d H:i:s.
datetime_end விருப்பமான கோப்பு இந்த தேதி மற்றும் நேரம் வரை முடிவுகளை வடிகட்டவும். வடிவம் Y-m-d H:i:s.
order_by விருப்பமான கோப்பு என்ன துறையில் முடிவுகளை வரிசைப்படுத்த வேண்டும். அனுமதிக்கப்பட்ட மதிப்புகள்: id, datetime, total_amount.
order_type விருப்பமான கோப்பு முடிவுகளின் வரிசை. அனுமதிக்கப்பட்ட மதிப்புகள்: ASC என்பது உயர்வான வரிசைக்காக, மற்றும் DESC என்பது குறைவான வரிசைக்காக.
page விருப்பமான முழு எண் நீங்கள் முடிவுகளைப் பெற விரும்பும் பக்கம் எண். இயல்பாக 1 ஆக இருக்கும்.
results_per_page விருப்பமான முழு எண் ஒரு பக்கத்திற்கு நீங்கள் எவ்வளவு முடிவுகளை விரும்புகிறீர்கள். அனுமதிக்கப்பட்ட மதிப்புகள்: 10, 25, 50, 100, 250, 500, 1000. இயல்பாக 25 ஆக உள்ளது.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "plan_id": 1,
            "payment_id": "pi_123456789",
            "base_amount": 4.99,
            "processor": "stripe",
            "type": "one_time",
            "frequency": "monthly",
            "code": null,
            "discount_amount": 0,
            "email": "[email protected]",
            "name": null,
            "total_amount": 4.99,
            "total_amount_default_currency": 4.99,
            "currency": "USD",
            "status": "paid",
            "plan": null,
            "billing": null,
            "business": null,
            "taxes_ids": null,
            "payment_proof": null,
            "payment_proof_url": null,
            "refunds": [],
            "refunded_total": 0,
            "refunded_status": null,
            "datetime": "2026-10-17 12:18:04"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://tistos.com/api/payments?page=1",
        "last": "https://tistos.com/api/payments?page=1",
        "next": null,
        "prev": null,
        "self": "https://tistos.com/api/payments?page=1"
    }
}
GET https://tistos.com/api/payments/{id}
curl --request GET \
--url 'https://tistos.com/api/payments/{id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "plan_id": 1,
        "payment_id": "pi_123456789",
        "base_amount": 4.99,
        "processor": "stripe",
        "type": "one_time",
        "frequency": "monthly",
        "code": null,
        "discount_amount": 0,
        "email": "[email protected]",
        "name": null,
        "total_amount": 4.99,
        "total_amount_default_currency": 4.99,
        "currency": "USD",
        "status": "paid",
        "plan": null,
        "billing": null,
        "business": null,
        "taxes_ids": null,
        "payment_proof": null,
        "payment_proof_url": null,
        "refunds": [],
        "refunded_total": 0,
        "refunded_status": null,
        "datetime": "2026-10-17 12:18:04"
    }
}